Skip to main content
POST
Add Workspace Member

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Alternatively, you can authenticate with a personal access token (PAT) by sending Authorization: Basic base64(email:PAT).

Scopes

management:workspaces:write

Write access to workspace resources.

Path Parameters

id
string<uuid>
required

Workspace identifier (UUID).

Body

application/json
member_id
string<uuid>
required

Identifier of the user, service account, or group to add.

member_type
enum<string>
required

The type of principal to add.

Available options:
user,
service_account,
group

Response

Created

id
string<uuid>

Membership record identifier.

workspace_id
string<uuid>

The workspace.

member_id
string<uuid>

The user, service account, or group.

member_type
enum<string>
Available options:
user,
service_account,
group
grant_type
enum<string>

direct for members added explicitly. group_derived for members who gain access through a group.

Available options:
direct,
group_derived
group_id
string<uuid> | null

Set on group-derived records in list responses. null for direct members.

group_name
string | null

Set on group-derived records in list responses. null for direct members.

added_at
string<date-time>

ISO 8601 UTC.

added_by
string<uuid>

The user who added the member.

Last modified on November 12, 2026